Skip to content
English

Update all LDAP imported users

POST
/domains/ldap/downsync
curl --request POST \
--url 'https://example.com/api/v1/domains/ldap/downsync?lang=&timeout=1' \
--cookie grommunioAuthJwt=<grommunioAuthJwt>
X-Csrf-Token
string

CSRF Token

import
boolean

Import new users from LDAP

lang
string
""

Default language for imported users

timeout
number
default: 1

Time in seconds to wait for completion

Update process successful

Media typeapplication/json
object
data

List of updated/imported users

Array<object>
object
ID

Unique ID of the object

integer
username
string
code

HTTP-like status code of the user update or import

integer
Allowed values: 200 201 400 404 409 500 503
message

Update/import message

string
Example
{
"data": [
{
"code": 200
}
]
}

Task took more than timeout seconds and is resumed in the background

Media typeapplication/json
object
message
string
taskID

ID of the task running the command

integer
Examplegenerated
{
"message": "example",
"taskID": 1
}

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

One of the required external services is unavailable

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}